Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align.pairwise
Class AligNPE

    java.lang.Object
      org.biojava.bio.structure.align.pairwise.AligNPE

    public class AligNPE

extends Object

Constructor Summary
`AligNPE()`

Method Summary
`static Alignable` | `align_NPE(Matrix sim, StrucAligParameters params)` Align w/o penalizing endpags.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AligNPE

    public AligNPE()

Method Detail

### align_NPE

    public static Alignable align_NPE(Matrix sim,
                                      StrucAligParameters params)

  Align w/o penalizing endpags. Return alignment and score

  Parameters:
    `sim` - the similarity matrix
    `params` - the structure alignment parameters to be used
  Returns:
    an Alignable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD